---
title: Delete a Web Analytics site
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[RUM](https://developers.cloudflare.com/api/python/resources/rum)

[Site Info](https://developers.cloudflare.com/api/python/resources/rum/subresources/site_info)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a Web Analytics site

rum.site\_info.delete(strsite\_id, SiteInfoDeleteParams\*\*kwargs) -> [SiteInfoDeleteResponse](<https://developers.cloudflare.com/api/python/resources/rum#(resource)%20rum.site_info%20%3E%20(model)%20site_info_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/rum/site\_info/{site\_id}

Deletes an existing Web Analytics site.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account Settings Write`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20rum.site_info%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

site\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20rum.site_info%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20site_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SiteInfoDeleteResponse: …

</summary>

site\_tag: Optional\[str]

The Web Analytics site identifier.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site_info_delete_response%20%3E%20(schema)%20%3E%20(property)%20site_tag">Link to this property</a>

</details>

[Link to this property](<#(resource)%20rum.site_info%20%3E%20(model)%20site_info_delete_response%20%3E%20(schema)>)

### Delete a Web Analytics site

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
site_info = client.rum.site_info.delete(
    site_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(site_info.site_tag)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "site_tag": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "site_tag": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
```